Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class ListPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ListPersistentMethod

    public class ListPersistentMethod
    extends AbstractStaticPersistentMethod

The "list" persistent static method. This method lists of of the persistent instances up the maximum specified amount (if any) eg. Account.list(); // list all Account.list(max:10,offset:50,sort:"holder",order:"desc"); // list up to 10, offset by 50, sorted by holder and in descending order

Authors:
  Graeme Rocher

Constructor Summary
`ListPersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, toString

Constructor Detail

### ListPersistentMethod

    public ListPersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader)

Method Detail

### doInvokeInternal

    @Override
    @SuppressWarnings("rawtypes")
    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)

Groovy Documentation